3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php try { throw new Exception('test'); } catch (Exception $e) { print "catch and rethrow!"; throw $e; } finally { print "finally!"; }
based on b5iV6
Output for 7.0.0 - 7.2.11
catch and rethrow!finally! Fatal error: Uncaught Exception: test in /in/G6Lk8:4 Stack trace: #0 {main} thrown in /in/G6Lk8 on line 4
Process exited with code 255.
Output for hhvm-3.22.0
catch and rethrow!finally! Fatal error: Uncaught exception 'Exception' with message 'test' in /in/G6Lk8:-1 Stack trace: #0 {main}
Process exited with code 255.
Output for hhvm-3.11.1, hhvm-3.13.2 - 3.21.3
catch and rethrow!finally! Fatal error: Uncaught exception 'Exception' with message 'test' in /in/G6Lk8:4 Stack trace: #0 {main}
Process exited with code 255.
Output for hhvm-3.10.1, hhvm-3.12.14

Process exited with code 137.
Output for 5.5.0 - 5.6.38
catch and rethrow!finally! Fatal error: Uncaught exception 'Exception' with message 'test' in /in/G6Lk8:4 Stack trace: #0 {main} thrown in /in/G6Lk8 on line 4
Process exited with code 255.
Output for 5.3.20 - 5.4.45
Parse error: syntax error, unexpected '{' in /in/G6Lk8 on line 8
Process exited with code 255.